Report the analyzer summary
Runner reports the `dart analyze --format=json` summary of a build. A later report replaces an earlier one. Only accepted while the build runs.
Operation ID
report_job_analysisRunner reports the dart analyze --format=json summary of a build. A
later report replaces an earlier one. Only accepted while the build
runs.
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
runner_id*string
Runner ID
job_id*string
Build/Job ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
The summary of dart analyze --format=json a runner reports after the
build's steps.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/runners/string/jobs/string/analysis" \ -H "Content-Type: application/json" \ -d '{ "counts": { "errors": 0, "infos": 0, "warnings": 0 }, "diagnostics": [ { "code": "string", "column": 0, "file": "string", "line": 0, "message": "string", "severity": "error" } ] }'{ "ok": true}